#!/bin/sh

echo "Dieses Skript wird die tmp- und log-Verzeichnisse anlegen sowie"
echo "alle Dateirechte so setzen, dass die Anwendung unter Apache mit"
echo "Phusion Passenger funktioniert."
echo
echo "Wenn Sie dies nicht wollen, drücken Sie nun Ctrl-C. Ansonsten Return."
echo "Bitte beachten Sie auch setup/setup.sh"
read a

[ -d log ]          || mkdir log
[ -d tmp ]          || mkdir tmp
[ -d tmp/cache    ] || mkdir tmp/cache
[ -d tmp/pids     ] || mkdir tmp/pids
[ -d tmp/sessions ] || mkdir tmp/sessions
[ -d tmp/sockets  ] || mkdir tmp/sockets

touch log/production.log
touch log/development.log
touch log/test.log

chown -R root:root .
find . -type d -print0 | xargs -0 chmod 0755
find . -type f -print0 | xargs -0 chmod 0644
find script setup.sh -type f -print0 | xargs -0 chmod 0755

chown -R apache:apache tmp log
chown -R root:apache   public

chmod 0666 log/production.log log/development.log log/test.log
